## PhoshDBusSensorProxyCompassSkeleton

PhoshDBusSensorProxyCompassSkeleton

## Functions

GDBusInterfaceInfo * | phosh_dbus_sensor_proxy_interface_info ()
guint | phosh_dbus_sensor_proxy_override_properties ()
void | phosh_dbus_sensor_proxy_complete_claim_accelerometer ()
void | phosh_dbus_sensor_proxy_complete_release_accelerometer ()
void | phosh_dbus_sensor_proxy_complete_claim_light ()
void | phosh_dbus_sensor_proxy_complete_release_light ()
void | phosh_dbus_sensor_proxy_complete_claim_proximity ()
void | phosh_dbus_sensor_proxy_complete_release_proximity ()
void | phosh_dbus_sensor_proxy_call_claim_accelerometer ()
gboolean | phosh_dbus_sensor_proxy_call_claim_accelerometer_finish ()
gboolean | phosh_dbus_sensor_proxy_call_claim_accelerometer_sync ()
void | phosh_dbus_sensor_proxy_call_release_accelerometer ()
gboolean | phosh_dbus_sensor_proxy_call_release_accelerometer_finish ()
gboolean | phosh_dbus_sensor_proxy_call_release_accelerometer_sync ()
void | phosh_dbus_sensor_proxy_call_claim_light ()
gboolean | phosh_dbus_sensor_proxy_call_claim_light_finish ()
gboolean | phosh_dbus_sensor_proxy_call_claim_light_sync ()
void | phosh_dbus_sensor_proxy_call_release_light ()
gboolean | phosh_dbus_sensor_proxy_call_release_light_finish ()
gboolean | phosh_dbus_sensor_proxy_call_release_light_sync ()
void | phosh_dbus_sensor_proxy_call_claim_proximity ()
gboolean | phosh_dbus_sensor_proxy_call_claim_proximity_finish ()
gboolean | phosh_dbus_sensor_proxy_call_claim_proximity_sync ()
void | phosh_dbus_sensor_proxy_call_release_proximity ()
gboolean | phosh_dbus_sensor_proxy_call_release_proximity_finish ()
gboolean | phosh_dbus_sensor_proxy_call_release_proximity_sync ()
gboolean | phosh_dbus_sensor_proxy_get_has_accelerometer ()
void | phosh_dbus_sensor_proxy_set_has_accelerometer ()
const gchar * | phosh_dbus_sensor_proxy_get_accelerometer_orientation ()
gchar * | phosh_dbus_sensor_proxy_dup_accelerometer_orientation ()
void | phosh_dbus_sensor_proxy_set_accelerometer_orientation ()
gboolean | phosh_dbus_sensor_proxy_get_has_ambient_light ()
void | phosh_dbus_sensor_proxy_set_has_ambient_light ()
const gchar * | phosh_dbus_sensor_proxy_get_light_level_unit ()
gchar * | phosh_dbus_sensor_proxy_dup_light_level_unit ()
void | phosh_dbus_sensor_proxy_set_light_level_unit ()
gdouble | phosh_dbus_sensor_proxy_get_light_level ()
void | phosh_dbus_sensor_proxy_set_light_level ()
gboolean | phosh_dbus_sensor_proxy_get_has_proximity ()
void | phosh_dbus_sensor_proxy_set_has_proximity ()
gboolean | phosh_dbus_sensor_proxy_get_proximity_near ()
void | phosh_dbus_sensor_proxy_set_proximity_near ()
void | phosh_dbus_sensor_proxy_proxy_new ()
PhoshDBusSensorProxy * | phosh_dbus_sensor_proxy_proxy_new_finish ()
PhoshDBusSensorProxy * | phosh_dbus_sensor_proxy_proxy_new_sync ()
void | phosh_dbus_sensor_proxy_proxy_new_for_bus ()
PhoshDBusSensorProxy * | phosh_dbus_sensor_proxy_proxy_new_for_bus_finish ()
PhoshDBusSensorProxy * | phosh_dbus_sensor_proxy_proxy_new_for_bus_sync ()
PhoshDBusSensorProxy * | phosh_dbus_sensor_proxy_skeleton_new ()
GDBusInterfaceInfo * | phosh_dbus_sensor_proxy_compass_interface_info ()
guint | phosh_dbus_sensor_proxy_compass_override_properties ()
void | phosh_dbus_sensor_proxy_compass_complete_claim_compass ()
void | phosh_dbus_sensor_proxy_compass_complete_release_compass ()
void | phosh_dbus_sensor_proxy_compass_call_claim_compass ()
gboolean | phosh_dbus_sensor_proxy_compass_call_claim_compass_finish ()
gboolean | phosh_dbus_sensor_proxy_compass_call_claim_compass_sync ()
void | phosh_dbus_sensor_proxy_compass_call_release_compass ()
gboolean | phosh_dbus_sensor_proxy_compass_call_release_compass_finish ()
gboolean | phosh_dbus_sensor_proxy_compass_call_release_compass_sync ()
gboolean | phosh_dbus_sensor_proxy_compass_get_has_compass ()
void | phosh_dbus_sensor_proxy_compass_set_has_compass ()
gdouble | phosh_dbus_sensor_proxy_compass_get_compass_heading ()
void | phosh_dbus_sensor_proxy_compass_set_compass_heading ()
void | phosh_dbus_sensor_proxy_compass_proxy_new ()
PhoshDBusSensorProxyCompass * | phosh_dbus_sensor_proxy_compass_proxy_new_finish ()
PhoshDBusSensorProxyCompass * | phosh_dbus_sensor_proxy_compass_proxy_new_sync ()
void | phosh_dbus_sensor_proxy_compass_proxy_new_for_bus ()
PhoshDBusSensorProxyCompass * | phosh_dbus_sensor_proxy_compass_proxy_new_for_bus_finish ()
PhoshDBusSensorProxyCompass * | phosh_dbus_sensor_proxy_compass_proxy_new_for_bus_sync ()
PhoshDBusSensorProxyCompass * | phosh_dbus_sensor_proxy_compass_skeleton_new ()

## Properties

char * | accelerometer-orientation | Read / Write
gboolean | has-accelerometer | Read / Write
gboolean | has-ambient-light | Read / Write
gboolean | has-proximity | Read / Write
double | light-level | Read / Write
char * | light-level-unit | Read / Write
gboolean | proximity-near | Read / Write
double | compass-heading | Read / Write
gboolean | has-compass | Read / Write

## Signals

gboolean | handle-claim-accelerometer | Run Last
gboolean | handle-claim-light | Run Last
gboolean | handle-claim-proximity | Run Last
gboolean | handle-release-accelerometer | Run Last
gboolean | handle-release-light | Run Last
gboolean | handle-release-proximity | Run Last
gboolean | handle-claim-compass | Run Last
gboolean | handle-release-compass | Run Last

## Types and Values

struct | PhoshDBusSensorProxyIface
struct | PhoshDBusSensorProxyProxy
struct | PhoshDBusSensorProxyProxyClass
struct | PhoshDBusSensorProxySkeleton
struct | PhoshDBusSensorProxySkeletonClass
struct | PhoshDBusSensorProxyCompassIface
struct | PhoshDBusSensorProxyCompassProxy
struct | PhoshDBusSensorProxyCompassProxyClass
struct | PhoshDBusSensorProxyCompassSkeleton
struct | PhoshDBusSensorProxyCompassSkeletonClass
| PhoshDBusSensorProxy
| PhoshDBusSensorProxyCompass
| PhoshDBusSensorProxyCompassProxyPrivate
| PhoshDBusSensorProxyCompassSkeletonPrivate
| PhoshDBusSensorProxyProxyPrivate
| PhoshDBusSensorProxySkeletonPrivate

## Object Hierarchy

        GInterface
        ├── PhoshDBusSensorProxy
        ╰── PhoshDBusSensorProxyCompass
        GObject
        ├── GDBusInterfaceSkeleton
        │   ├── PhoshDBusSensorProxyCompassSkeleton
        │   ╰── PhoshDBusSensorProxySkeleton
        ╰── GDBusProxy
            ├── PhoshDBusSensorProxyCompassProxy
            ╰── PhoshDBusSensorProxyProxy
                ╰── PhoshSensorProxyManager

## Prerequisites

PhoshDBusSensorProxy requires GObject.

PhoshDBusSensorProxyCompass requires GObject.

## Implemented Interfaces

PhoshDBusSensorProxyProxy implements GDBusInterface, GInitable, GAsyncInitable and PhoshDBusSensorProxy.

PhoshDBusSensorProxySkeleton implements GDBusInterface and PhoshDBusSensorProxy.

PhoshDBusSensorProxyCompassProxy implements GDBusInterface, GInitable, GAsyncInitable and PhoshDBusSensorProxyCompass.

PhoshDBusSensorProxyCompassSkeleton implements GDBusInterface and PhoshDBusSensorProxyCompass.

## Known Implementations

PhoshDBusSensorProxy is implemented by PhoshDBusSensorProxyProxy, PhoshDBusSensorProxySkeleton and PhoshSensorProxyManager.

PhoshDBusSensorProxyCompass is implemented by PhoshDBusSensorProxyCompassProxy and PhoshDBusSensorProxyCompassSkeleton.

## Description

## Functions

### phosh_dbus_sensor_proxy_interface_info ()

    GDBusInterfaceInfo *
    phosh_dbus_sensor_proxy_interface_info
                                   (void);

Gets a machine-readable description of the net.hadess.SensorProxy D-Bus interface.

#### Returns

A GDBusInterfaceInfo. Do not free.

[transfer none]

### phosh_dbus_sensor_proxy_override_properties ()

    guint
    phosh_dbus_sensor_proxy_override_properties
                                   (GObjectClass *klass,
                                    guint property_id_begin);

Overrides all GObject properties in the PhoshDBusSensorProxy interface for a concrete class. The properties are overridden in the order they are defined.

#### Parameters

klass | The class structure for a GObject derived class. |
property_id_begin | The property id to assign to the first overridden property. |

#### Returns

The last property id.

### phosh_dbus_sensor_proxy_complete_claim_accelerometer ()

    void
    phosh_dbus_sensor_proxy_complete_claim_accelerometer
                                   (PhoshDBusSensorProxy *object,
                                    GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `ClaimAccelerometer()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A PhoshDBusSensorProxy. |
invocation | A GDBusMethodInvocation. | [transfer full]

### phosh_dbus_sensor_proxy_complete_release_accelerometer ()

    void
    phosh_dbus_sensor_proxy_complete_release_accelerometer
                                   (PhoshDBusSensorProxy *object,
                                    GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `ReleaseAccelerometer()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A PhoshDBusSensorProxy. |
invocation | A GDBusMethodInvocation. | [transfer full]

### phosh_dbus_sensor_proxy_complete_claim_light ()

    void
    phosh_dbus_sensor_proxy_complete_claim_light
                                   (PhoshDBusSensorProxy *object,
                                    GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `ClaimLight()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A PhoshDBusSensorProxy. |
invocation | A GDBusMethodInvocation. | [transfer full]

### phosh_dbus_sensor_proxy_complete_release_light ()

    void
    phosh_dbus_sensor_proxy_complete_release_light
                                   (PhoshDBusSensorProxy *object,
                                    GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `ReleaseLight()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A PhoshDBusSensorProxy. |
invocation | A GDBusMethodInvocation. | [transfer full]

### phosh_dbus_sensor_proxy_complete_claim_proximity ()

    void
    phosh_dbus_sensor_proxy_complete_claim_proximity
                                   (PhoshDBusSensorProxy *object,
                                    GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `ClaimProximity()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A PhoshDBusSensorProxy. |
invocation | A GDBusMethodInvocation. | [transfer full]

### phosh_dbus_sensor_proxy_complete_release_proximity ()

    void
    phosh_dbus_sensor_proxy_complete_release_proximity
                                   (PhoshDBusSensorProxy *object,
                                    GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `ReleaseProximity()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A PhoshDBusSensorProxy. |
invocation | A GDBusMethodInvocation. | [transfer full]

### phosh_dbus_sensor_proxy_call_claim_accelerometer ()

    void
    phosh_dbus_sensor_proxy_call_claim_accelerometer
                                   (PhoshDBusSensorProxy *proxy,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `ClaimAccelerometer()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `phosh_dbus_sensor_proxy_call_claim_accelerometer_finish()` to get the result of the operation.

See `phosh_dbus_sensor_proxy_call_claim_accelerometer_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A PhoshDBusSensorProxyProxy. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### phosh_dbus_sensor_proxy_call_claim_accelerometer_finish ()

    gboolean
    phosh_dbus_sensor_proxy_call_claim_accelerometer_finish
                                   (PhoshDBusSensorProxy *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `phosh_dbus_sensor_proxy_call_claim_accelerometer()`.

#### Parameters

proxy | A PhoshDBusSensorProxyProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `phosh_dbus_sensor_proxy_call_claim_accelerometer()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### phosh_dbus_sensor_proxy_call_claim_accelerometer_sync ()

    gboolean
    phosh_dbus_sensor_proxy_call_claim_accelerometer_sync
                                   (PhoshDBusSensorProxy *proxy,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `ClaimAccelerometer()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `phosh_dbus_sensor_proxy_call_claim_accelerometer()` for the asynchronous version of this method.

#### Parameters

proxy | A PhoshDBusSensorProxyProxy. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### phosh_dbus_sensor_proxy_call_release_accelerometer ()

    void
    phosh_dbus_sensor_proxy_call_release_accelerometer
                                   (PhoshDBusSensorProxy *proxy,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `ReleaseAccelerometer()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `phosh_dbus_sensor_proxy_call_release_accelerometer_finish()` to get the result of the operation.

See `phosh_dbus_sensor_proxy_call_release_accelerometer_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A PhoshDBusSensorProxyProxy. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### phosh_dbus_sensor_proxy_call_release_accelerometer_finish ()

    gboolean
    phosh_dbus_sensor_proxy_call_release_accelerometer_finish
                                   (PhoshDBusSensorProxy *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `phosh_dbus_sensor_proxy_call_release_accelerometer()`.

#### Parameters

proxy | A PhoshDBusSensorProxyProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `phosh_dbus_sensor_proxy_call_release_accelerometer()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### phosh_dbus_sensor_proxy_call_release_accelerometer_sync ()

    gboolean
    phosh_dbus_sensor_proxy_call_release_accelerometer_sync
                                   (PhoshDBusSensorProxy *proxy,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `ReleaseAccelerometer()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `phosh_dbus_sensor_proxy_call_release_accelerometer()` for the asynchronous version of this method.

#### Parameters

proxy | A PhoshDBusSensorProxyProxy. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### phosh_dbus_sensor_proxy_call_claim_light ()

    void
    phosh_dbus_sensor_proxy_call_claim_light
                                   (PhoshDBusSensorProxy *proxy,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `ClaimLight()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `phosh_dbus_sensor_proxy_call_claim_light_finish()` to get the result of the operation.

See `phosh_dbus_sensor_proxy_call_claim_light_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A PhoshDBusSensorProxyProxy. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### phosh_dbus_sensor_proxy_call_claim_light_finish ()

    gboolean
    phosh_dbus_sensor_proxy_call_claim_light_finish
                                   (PhoshDBusSensorProxy *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `phosh_dbus_sensor_proxy_call_claim_light()`.

#### Parameters

proxy | A PhoshDBusSensorProxyProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `phosh_dbus_sensor_proxy_call_claim_light()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### phosh_dbus_sensor_proxy_call_claim_light_sync ()

    gboolean
    phosh_dbus_sensor_proxy_call_claim_light_sync
                                   (PhoshDBusSensorProxy *proxy,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `ClaimLight()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `phosh_dbus_sensor_proxy_call_claim_light()` for the asynchronous version of this method.

#### Parameters

proxy | A PhoshDBusSensorProxyProxy. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### phosh_dbus_sensor_proxy_call_release_light ()

    void
    phosh_dbus_sensor_proxy_call_release_light
                                   (PhoshDBusSensorProxy *proxy,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `ReleaseLight()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `phosh_dbus_sensor_proxy_call_release_light_finish()` to get the result of the operation.

See `phosh_dbus_sensor_proxy_call_release_light_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A PhoshDBusSensorProxyProxy. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### phosh_dbus_sensor_proxy_call_release_light_finish ()

    gboolean
    phosh_dbus_sensor_proxy_call_release_light_finish
                                   (PhoshDBusSensorProxy *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `phosh_dbus_sensor_proxy_call_release_light()`.

#### Parameters

proxy | A PhoshDBusSensorProxyProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `phosh_dbus_sensor_proxy_call_release_light()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### phosh_dbus_sensor_proxy_call_release_light_sync ()

    gboolean
    phosh_dbus_sensor_proxy_call_release_light_sync
                                   (PhoshDBusSensorProxy *proxy,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `ReleaseLight()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `phosh_dbus_sensor_proxy_call_release_light()` for the asynchronous version of this method.

#### Parameters

proxy | A PhoshDBusSensorProxyProxy. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### phosh_dbus_sensor_proxy_call_claim_proximity ()

    void
    phosh_dbus_sensor_proxy_call_claim_proximity
                                   (PhoshDBusSensorProxy *proxy,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `ClaimProximity()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `phosh_dbus_sensor_proxy_call_claim_proximity_finish()` to get the result of the operation.

See `phosh_dbus_sensor_proxy_call_claim_proximity_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A PhoshDBusSensorProxyProxy. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### phosh_dbus_sensor_proxy_call_claim_proximity_finish ()

    gboolean
    phosh_dbus_sensor_proxy_call_claim_proximity_finish
                                   (PhoshDBusSensorProxy *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `phosh_dbus_sensor_proxy_call_claim_proximity()`.

#### Parameters

proxy | A PhoshDBusSensorProxyProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `phosh_dbus_sensor_proxy_call_claim_proximity()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### phosh_dbus_sensor_proxy_call_claim_proximity_sync ()

    gboolean
    phosh_dbus_sensor_proxy_call_claim_proximity_sync
                                   (PhoshDBusSensorProxy *proxy,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `ClaimProximity()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `phosh_dbus_sensor_proxy_call_claim_proximity()` for the asynchronous version of this method.

#### Parameters

proxy | A PhoshDBusSensorProxyProxy. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### phosh_dbus_sensor_proxy_call_release_proximity ()

    void
    phosh_dbus_sensor_proxy_call_release_proximity
                                   (PhoshDBusSensorProxy *proxy,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `ReleaseProximity()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `phosh_dbus_sensor_proxy_call_release_proximity_finish()` to get the result of the operation.

See `phosh_dbus_sensor_proxy_call_release_proximity_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A PhoshDBusSensorProxyProxy. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### phosh_dbus_sensor_proxy_call_release_proximity_finish ()

    gboolean
    phosh_dbus_sensor_proxy_call_release_proximity_finish
                                   (PhoshDBusSensorProxy *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `phosh_dbus_sensor_proxy_call_release_proximity()`.

#### Parameters

proxy | A PhoshDBusSensorProxyProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `phosh_dbus_sensor_proxy_call_release_proximity()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### phosh_dbus_sensor_proxy_call_release_proximity_sync ()

    gboolean
    phosh_dbus_sensor_proxy_call_release_proximity_sync
                                   (PhoshDBusSensorProxy *proxy,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `ReleaseProximity()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `phosh_dbus_sensor_proxy_call_release_proximity()` for the asynchronous version of this method.

#### Parameters

proxy | A PhoshDBusSensorProxyProxy. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### phosh_dbus_sensor_proxy_get_has_accelerometer ()

    gboolean
    phosh_dbus_sensor_proxy_get_has_accelerometer
                                   (PhoshDBusSensorProxy *object);

Gets the value of the "HasAccelerometer" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A PhoshDBusSensorProxy. |

#### Returns

The property value.

### phosh_dbus_sensor_proxy_set_has_accelerometer ()

    void
    phosh_dbus_sensor_proxy_set_has_accelerometer
                                   (PhoshDBusSensorProxy *object,
                                    gboolean value);

Sets the "HasAccelerometer" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A PhoshDBusSensorProxy. |
value | The value to set. |

### phosh_dbus_sensor_proxy_get_accelerometer_orientation ()

    const gchar *
    phosh_dbus_sensor_proxy_get_accelerometer_orientation
                                   (PhoshDBusSensorProxy *object);

Gets the value of the "AccelerometerOrientation" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `phosh_dbus_sensor_proxy_dup_accelerometer_orientation()` if on another thread.

[skip]

#### Parameters

object | A PhoshDBusSensorProxy. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

### phosh_dbus_sensor_proxy_dup_accelerometer_orientation ()

    gchar *
    phosh_dbus_sensor_proxy_dup_accelerometer_orientation
                                   (PhoshDBusSensorProxy *object);

Gets a copy of the "AccelerometerOrientation" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A PhoshDBusSensorProxy. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full][nullable]

### phosh_dbus_sensor_proxy_set_accelerometer_orientation ()

    void
    phosh_dbus_sensor_proxy_set_accelerometer_orientation
                                   (PhoshDBusSensorProxy *object,
                                    const gchar *value);

Sets the "AccelerometerOrientation" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A PhoshDBusSensorProxy. |
value | The value to set. |

### phosh_dbus_sensor_proxy_get_has_ambient_light ()

    gboolean
    phosh_dbus_sensor_proxy_get_has_ambient_light
                                   (PhoshDBusSensorProxy *object);

Gets the value of the "HasAmbientLight" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A PhoshDBusSensorProxy. |

#### Returns

The property value.

### phosh_dbus_sensor_proxy_set_has_ambient_light ()

    void
    phosh_dbus_sensor_proxy_set_has_ambient_light
                                   (PhoshDBusSensorProxy *object,
                                    gboolean value);

Sets the "HasAmbientLight" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A PhoshDBusSensorProxy. |
value | The value to set. |

### phosh_dbus_sensor_proxy_get_light_level_unit ()

    const gchar *
    phosh_dbus_sensor_proxy_get_light_level_unit
                                   (PhoshDBusSensorProxy *object);

Gets the value of the "LightLevelUnit" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `phosh_dbus_sensor_proxy_dup_light_level_unit()` if on another thread.

[skip]

#### Parameters

object | A PhoshDBusSensorProxy. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

### phosh_dbus_sensor_proxy_dup_light_level_unit ()

    gchar *
    phosh_dbus_sensor_proxy_dup_light_level_unit
                                   (PhoshDBusSensorProxy *object);

Gets a copy of the "LightLevelUnit" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A PhoshDBusSensorProxy. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full][nullable]

### phosh_dbus_sensor_proxy_set_light_level_unit ()

    void
    phosh_dbus_sensor_proxy_set_light_level_unit
                                   (PhoshDBusSensorProxy *object,
                                    const gchar *value);

Sets the "LightLevelUnit" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A PhoshDBusSensorProxy. |
value | The value to set. |

### phosh_dbus_sensor_proxy_get_light_level ()

    gdouble
    phosh_dbus_sensor_proxy_get_light_level
                                   (PhoshDBusSensorProxy *object);

Gets the value of the "LightLevel" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A PhoshDBusSensorProxy. |

#### Returns

The property value.

### phosh_dbus_sensor_proxy_set_light_level ()

    void
    phosh_dbus_sensor_proxy_set_light_level
                                   (PhoshDBusSensorProxy *object,
                                    gdouble value);

Sets the "LightLevel" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A PhoshDBusSensorProxy. |
value | The value to set. |

### phosh_dbus_sensor_proxy_get_has_proximity ()

    gboolean
    phosh_dbus_sensor_proxy_get_has_proximity
                                   (PhoshDBusSensorProxy *object);

Gets the value of the "HasProximity" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A PhoshDBusSensorProxy. |

#### Returns

The property value.

### phosh_dbus_sensor_proxy_set_has_proximity ()

    void
    phosh_dbus_sensor_proxy_set_has_proximity
                                   (PhoshDBusSensorProxy *object,
                                    gboolean value);

Sets the "HasProximity" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A PhoshDBusSensorProxy. |
value | The value to set. |

### phosh_dbus_sensor_proxy_get_proximity_near ()

    gboolean
    phosh_dbus_sensor_proxy_get_proximity_near
                                   (PhoshDBusSensorProxy *object);

Gets the value of the "ProximityNear" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A PhoshDBusSensorProxy. |

#### Returns

The property value.

### phosh_dbus_sensor_proxy_set_proximity_near ()

    void
    phosh_dbus_sensor_proxy_set_proximity_near
                                   (PhoshDBusSensorProxy *object,
                                    gboolean value);

Sets the "ProximityNear" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A PhoshDBusSensorProxy. |
value | The value to set. |

### phosh_dbus_sensor_proxy_proxy_new ()

    void
    phosh_dbus_sensor_proxy_proxy_new (GDBusConnection *connection,
                                       GDBusProxyFlags flags,
                                       const gchar *name,
                                       const gchar *object_path,
                                       GCancellable *cancellable,
                                       GAsyncReadyCallback callback,
                                       gpointer user_data);

Asynchronously creates a proxy for the D-Bus interface net.hadess.SensorProxy. See `g_dbus_proxy_new()` for more details.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `phosh_dbus_sensor_proxy_proxy_new_finish()` to get the result of the operation.

See `phosh_dbus_sensor_proxy_proxy_new_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### phosh_dbus_sensor_proxy_proxy_new_finish ()

    PhoshDBusSensorProxy *
    phosh_dbus_sensor_proxy_proxy_new_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `phosh_dbus_sensor_proxy_proxy_new()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `phosh_dbus_sensor_proxy_proxy_new()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type PhoshDBusSensorProxyProxy]

### phosh_dbus_sensor_proxy_proxy_new_sync ()

    PhoshDBusSensorProxy *
    phosh_dbus_sensor_proxy_proxy_new_sync
                                   (GDBusConnection *connection,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously creates a proxy for the D-Bus interface net.hadess.SensorProxy. See `g_dbus_proxy_new_sync()` for more details.

The calling thread is blocked until a reply is received.

See `phosh_dbus_sensor_proxy_proxy_new()` for the asynchronous version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type PhoshDBusSensorProxyProxy]

### phosh_dbus_sensor_proxy_proxy_new_for_bus ()

    void
    phosh_dbus_sensor_proxy_proxy_new_for_bus
                                   (GBusType bus_type,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Like `phosh_dbus_sensor_proxy_proxy_new()` but takes a GBusType instead of a GDBusConnection.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `phosh_dbus_sensor_proxy_proxy_new_for_bus_finish()` to get the result of the operation.

See `phosh_dbus_sensor_proxy_proxy_new_for_bus_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### phosh_dbus_sensor_proxy_proxy_new_for_bus_finish ()

    PhoshDBusSensorProxy *
    phosh_dbus_sensor_proxy_proxy_new_for_bus_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `phosh_dbus_sensor_proxy_proxy_new_for_bus()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `phosh_dbus_sensor_proxy_proxy_new_for_bus()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type PhoshDBusSensorProxyProxy]

### phosh_dbus_sensor_proxy_proxy_new_for_bus_sync ()

    PhoshDBusSensorProxy *
    phosh_dbus_sensor_proxy_proxy_new_for_bus_sync
                                   (GBusType bus_type,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GError **error);

Like `phosh_dbus_sensor_proxy_proxy_new_sync()` but takes a GBusType instead of a GDBusConnection.

The calling thread is blocked until a reply is received.

See `phosh_dbus_sensor_proxy_proxy_new_for_bus()` for the asynchronous version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type PhoshDBusSensorProxyProxy]

### phosh_dbus_sensor_proxy_skeleton_new ()

    PhoshDBusSensorProxy *
    phosh_dbus_sensor_proxy_skeleton_new (void);

Creates a skeleton object for the D-Bus interface net.hadess.SensorProxy.

#### Returns

The skeleton object.

[transfer full][type PhoshDBusSensorProxySkeleton]

### phosh_dbus_sensor_proxy_compass_interface_info ()

    GDBusInterfaceInfo *
    phosh_dbus_sensor_proxy_compass_interface_info
                                   (void);

Gets a machine-readable description of the net.hadess.SensorProxy.Compass D-Bus interface.

#### Returns

A GDBusInterfaceInfo. Do not free.

[transfer none]

### phosh_dbus_sensor_proxy_compass_override_properties ()

    guint
    phosh_dbus_sensor_proxy_compass_override_properties
                                   (GObjectClass *klass,
                                    guint property_id_begin);

Overrides all GObject properties in the PhoshDBusSensorProxyCompass interface for a concrete class. The properties are overridden in the order they are defined.

#### Parameters

klass | The class structure for a GObject derived class. |
property_id_begin | The property id to assign to the first overridden property. |

#### Returns

The last property id.

### phosh_dbus_sensor_proxy_compass_complete_claim_compass ()

    void
    phosh_dbus_sensor_proxy_compass_complete_claim_compass
                                   (PhoshDBusSensorProxyCompass *object,
                                    GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `ClaimCompass()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A PhoshDBusSensorProxyCompass. |
invocation | A GDBusMethodInvocation. | [transfer full]

### phosh_dbus_sensor_proxy_compass_complete_release_compass ()

    void
    phosh_dbus_sensor_proxy_compass_complete_release_compass
                                   (PhoshDBusSensorProxyCompass *object,
                                    GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `ReleaseCompass()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A PhoshDBusSensorProxyCompass. |
invocation | A GDBusMethodInvocation. | [transfer full]

### phosh_dbus_sensor_proxy_compass_call_claim_compass ()

    void
    phosh_dbus_sensor_proxy_compass_call_claim_compass
                                   (PhoshDBusSensorProxyCompass *proxy,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `ClaimCompass()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `phosh_dbus_sensor_proxy_compass_call_claim_compass_finish()` to get the result of the operation.

See `phosh_dbus_sensor_proxy_compass_call_claim_compass_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A PhoshDBusSensorProxyCompassProxy. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### phosh_dbus_sensor_proxy_compass_call_claim_compass_finish ()

    gboolean
    phosh_dbus_sensor_proxy_compass_call_claim_compass_finish
                                   (PhoshDBusSensorProxyCompass *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `phosh_dbus_sensor_proxy_compass_call_claim_compass()`.

#### Parameters

proxy | A PhoshDBusSensorProxyCompassProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `phosh_dbus_sensor_proxy_compass_call_claim_compass()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### phosh_dbus_sensor_proxy_compass_call_claim_compass_sync ()

    gboolean
    phosh_dbus_sensor_proxy_compass_call_claim_compass_sync
                                   (PhoshDBusSensorProxyCompass *proxy,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `ClaimCompass()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `phosh_dbus_sensor_proxy_compass_call_claim_compass()` for the asynchronous version of this method.

#### Parameters

proxy | A PhoshDBusSensorProxyCompassProxy. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### phosh_dbus_sensor_proxy_compass_call_release_compass ()

    void
    phosh_dbus_sensor_proxy_compass_call_release_compass
                                   (PhoshDBusSensorProxyCompass *proxy,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `ReleaseCompass()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `phosh_dbus_sensor_proxy_compass_call_release_compass_finish()` to get the result of the operation.

See `phosh_dbus_sensor_proxy_compass_call_release_compass_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A PhoshDBusSensorProxyCompassProxy. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### phosh_dbus_sensor_proxy_compass_call_release_compass_finish ()

    gboolean
    phosh_dbus_sensor_proxy_compass_call_release_compass_finish
                                   (PhoshDBusSensorProxyCompass *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `phosh_dbus_sensor_proxy_compass_call_release_compass()`.

#### Parameters

proxy | A PhoshDBusSensorProxyCompassProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `phosh_dbus_sensor_proxy_compass_call_release_compass()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### phosh_dbus_sensor_proxy_compass_call_release_compass_sync ()

    gboolean
    phosh_dbus_sensor_proxy_compass_call_release_compass_sync
                                   (PhoshDBusSensorProxyCompass *proxy,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `ReleaseCompass()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `phosh_dbus_sensor_proxy_compass_call_release_compass()` for the asynchronous version of this method.

#### Parameters

proxy | A PhoshDBusSensorProxyCompassProxy. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### phosh_dbus_sensor_proxy_compass_get_has_compass ()

    gboolean
    phosh_dbus_sensor_proxy_compass_get_has_compass
                                   (PhoshDBusSensorProxyCompass *object);

Gets the value of the "HasCompass" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A PhoshDBusSensorProxyCompass. |

#### Returns

The property value.

### phosh_dbus_sensor_proxy_compass_set_has_compass ()

    void
    phosh_dbus_sensor_proxy_compass_set_has_compass
                                   (PhoshDBusSensorProxyCompass *object,
                                    gboolean value);

Sets the "HasCompass" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A PhoshDBusSensorProxyCompass. |
value | The value to set. |

### phosh_dbus_sensor_proxy_compass_get_compass_heading ()

    gdouble
    phosh_dbus_sensor_proxy_compass_get_compass_heading
                                   (PhoshDBusSensorProxyCompass *object);

Gets the value of the "CompassHeading" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A PhoshDBusSensorProxyCompass. |

#### Returns

The property value.

### phosh_dbus_sensor_proxy_compass_set_compass_heading ()

    void
    phosh_dbus_sensor_proxy_compass_set_compass_heading
                                   (PhoshDBusSensorProxyCompass *object,
                                    gdouble value);

Sets the "CompassHeading" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A PhoshDBusSensorProxyCompass. |
value | The value to set. |

### phosh_dbus_sensor_proxy_compass_proxy_new ()

    void
    phosh_dbus_sensor_proxy_compass_proxy_new
                                   (GDBusConnection *connection,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously creates a proxy for the D-Bus interface net.hadess.SensorProxy.Compass. See `g_dbus_proxy_new()` for more details.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `phosh_dbus_sensor_proxy_compass_proxy_new_finish()` to get the result of the operation.

See `phosh_dbus_sensor_proxy_compass_proxy_new_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### phosh_dbus_sensor_proxy_compass_proxy_new_finish ()

    PhoshDBusSensorProxyCompass *
    phosh_dbus_sensor_proxy_compass_proxy_new_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `phosh_dbus_sensor_proxy_compass_proxy_new()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `phosh_dbus_sensor_proxy_compass_proxy_new()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type PhoshDBusSensorProxyCompassProxy]

### phosh_dbus_sensor_proxy_compass_proxy_new_sync ()

    PhoshDBusSensorProxyCompass *
    phosh_dbus_sensor_proxy_compass_proxy_new_sync
                                   (GDBusConnection *connection,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously creates a proxy for the D-Bus interface net.hadess.SensorProxy.Compass. See `g_dbus_proxy_new_sync()` for more details.

The calling thread is blocked until a reply is received.

See `phosh_dbus_sensor_proxy_compass_proxy_new()` for the asynchronous version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type PhoshDBusSensorProxyCompassProxy]

### phosh_dbus_sensor_proxy_compass_proxy_new_for_bus ()

    void
    phosh_dbus_sensor_proxy_compass_proxy_new_for_bus
                                   (GBusType bus_type,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Like `phosh_dbus_sensor_proxy_compass_proxy_new()` but takes a GBusType instead of a GDBusConnection.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `phosh_dbus_sensor_proxy_compass_proxy_new_for_bus_finish()` to get the result of the operation.

See `phosh_dbus_sensor_proxy_compass_proxy_new_for_bus_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### phosh_dbus_sensor_proxy_compass_proxy_new_for_bus_finish ()

    PhoshDBusSensorProxyCompass *
    phosh_dbus_sensor_proxy_compass_proxy_new_for_bus_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `phosh_dbus_sensor_proxy_compass_proxy_new_for_bus()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `phosh_dbus_sensor_proxy_compass_proxy_new_for_bus()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type PhoshDBusSensorProxyCompassProxy]

### phosh_dbus_sensor_proxy_compass_proxy_new_for_bus_sync ()

    PhoshDBusSensorProxyCompass *
    phosh_dbus_sensor_proxy_compass_proxy_new_for_bus_sync
                                   (GBusType bus_type,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GError **error);

Like `phosh_dbus_sensor_proxy_compass_proxy_new_sync()` but takes a GBusType instead of a GDBusConnection.

The calling thread is blocked until a reply is received.

See `phosh_dbus_sensor_proxy_compass_proxy_new_for_bus()` for the asynchronous version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type PhoshDBusSensorProxyCompassProxy]

### phosh_dbus_sensor_proxy_compass_skeleton_new ()

    PhoshDBusSensorProxyCompass *
    phosh_dbus_sensor_proxy_compass_skeleton_new
                                   (void);

Creates a skeleton object for the D-Bus interface net.hadess.SensorProxy.Compass.

#### Returns

The skeleton object.

[transfer full][type PhoshDBusSensorProxyCompassSkeleton]

## Types and Values

### struct PhoshDBusSensorProxyIface

    struct PhoshDBusSensorProxyIface {
      GTypeInterface parent_iface;

      gboolean (*handle_claim_accelerometer) (
        PhoshDBusSensorProxy *object,
        GDBusMethodInvocation *invocation);

      gboolean (*handle_claim_light) (
        PhoshDBusSensorProxy *object,
        GDBusMethodInvocation *invocation);

      gboolean (*handle_claim_proximity) (
        PhoshDBusSensorProxy *object,
        GDBusMethodInvocation *invocation);

      gboolean (*handle_release_accelerometer) (
        PhoshDBusSensorProxy *object,
        GDBusMethodInvocation *invocation);

      gboolean (*handle_release_light) (
        PhoshDBusSensorProxy *object,
        GDBusMethodInvocation *invocation);

      gboolean (*handle_release_proximity) (
        PhoshDBusSensorProxy *object,
        GDBusMethodInvocation *invocation);

      const gchar * (*get_accelerometer_orientation) (PhoshDBusSensorProxy *object);

      gboolean  (*get_has_accelerometer) (PhoshDBusSensorProxy *object);

      gboolean  (*get_has_ambient_light) (PhoshDBusSensorProxy *object);

      gboolean  (*get_has_proximity) (PhoshDBusSensorProxy *object);

      gdouble  (*get_light_level) (PhoshDBusSensorProxy *object);

      const gchar * (*get_light_level_unit) (PhoshDBusSensorProxy *object);

      gboolean  (*get_proximity_near) (PhoshDBusSensorProxy *object);
    };

Virtual table for the D-Bus interface net.hadess.SensorProxy.

#### Members

GTypeInterface `parent_iface`; | The parent interface. |
`handle_claim_accelerometer` () | Handler for the “handle-claim-accelerometer” signal. |
`handle_claim_light` () | Handler for the “handle-claim-light” signal. |
`handle_claim_proximity` () | Handler for the “handle-claim-proximity” signal. |
`handle_release_accelerometer` () | Handler for the “handle-release-accelerometer” signal. |
`handle_release_light` () | Handler for the “handle-release-light” signal. |
`handle_release_proximity` () | Handler for the “handle-release-proximity” signal. |
`get_accelerometer_orientation` () | Getter for the “accelerometer-orientation” property. |
`get_has_accelerometer` () | Getter for the “has-accelerometer” property. |
`get_has_ambient_light` () | Getter for the “has-ambient-light” property. |
`get_has_proximity` () | Getter for the “has-proximity” property. |
`get_light_level` () | Getter for the “light-level” property. |
`get_light_level_unit` () | Getter for the “light-level-unit” property. |
`get_proximity_near` () | Getter for the “proximity-near” property. |

### struct PhoshDBusSensorProxyProxy

    struct PhoshDBusSensorProxyProxy;

The PhoshDBusSensorProxyProxy structure contains only private data and should only be accessed using the provided API.

### struct PhoshDBusSensorProxyProxyClass

    struct PhoshDBusSensorProxyProxyClass {
      GDBusProxyClass parent_class;
    };

Class structure for PhoshDBusSensorProxyProxy.

#### Members

### struct PhoshDBusSensorProxySkeleton

    struct PhoshDBusSensorProxySkeleton;

The PhoshDBusSensorProxySkeleton structure contains only private data and should only be accessed using the provided API.

### struct PhoshDBusSensorProxySkeletonClass

    struct PhoshDBusSensorProxySkeletonClass {
      GDBusInterfaceSkeletonClass parent_class;
    };

Class structure for PhoshDBusSensorProxySkeleton.

#### Members

### struct PhoshDBusSensorProxyCompassIface

    struct PhoshDBusSensorProxyCompassIface {
      GTypeInterface parent_iface;

      gboolean (*handle_claim_compass) (
        PhoshDBusSensorProxyCompass *object,
        GDBusMethodInvocation *invocation);

      gboolean (*handle_release_compass) (
        PhoshDBusSensorProxyCompass *object,
        GDBusMethodInvocation *invocation);

      gdouble  (*get_compass_heading) (PhoshDBusSensorProxyCompass *object);

      gboolean  (*get_has_compass) (PhoshDBusSensorProxyCompass *object);
    };

Virtual table for the D-Bus interface net.hadess.SensorProxy.Compass.

#### Members

GTypeInterface `parent_iface`; | The parent interface. |
`handle_claim_compass` () | Handler for the “handle-claim-compass” signal. |
`handle_release_compass` () | Handler for the “handle-release-compass” signal. |
`get_compass_heading` () | Getter for the “compass-heading” property. |
`get_has_compass` () | Getter for the “has-compass” property. |

### struct PhoshDBusSensorProxyCompassProxy

    struct PhoshDBusSensorProxyCompassProxy;

The PhoshDBusSensorProxyCompassProxy structure contains only private data and should only be accessed using the provided API.

### struct PhoshDBusSensorProxyCompassProxyClass

    struct PhoshDBusSensorProxyCompassProxyClass {
      GDBusProxyClass parent_class;
    };

Class structure for PhoshDBusSensorProxyCompassProxy.

#### Members

### struct PhoshDBusSensorProxyCompassSkeleton

    struct PhoshDBusSensorProxyCompassSkeleton;

The PhoshDBusSensorProxyCompassSkeleton structure contains only private data and should only be accessed using the provided API.

### struct PhoshDBusSensorProxyCompassSkeletonClass

    struct PhoshDBusSensorProxyCompassSkeletonClass {
      GDBusInterfaceSkeletonClass parent_class;
    };

Class structure for PhoshDBusSensorProxyCompassSkeleton.

#### Members

### PhoshDBusSensorProxy

    typedef struct _PhoshDBusSensorProxy PhoshDBusSensorProxy;

Abstract interface type for the D-Bus interface net.hadess.SensorProxy.

### PhoshDBusSensorProxyCompass

    typedef struct _PhoshDBusSensorProxyCompass PhoshDBusSensorProxyCompass;

Abstract interface type for the D-Bus interface net.hadess.SensorProxy.Compass.

### PhoshDBusSensorProxyCompassProxyPrivate

    typedef struct _PhoshDBusSensorProxyCompassProxyPrivate PhoshDBusSensorProxyCompassProxyPrivate;

### PhoshDBusSensorProxyCompassSkeletonPrivate

    typedef struct _PhoshDBusSensorProxyCompassSkeletonPrivate PhoshDBusSensorProxyCompassSkeletonPrivate;

### PhoshDBusSensorProxyProxyPrivate

    typedef struct _PhoshDBusSensorProxyProxyPrivate PhoshDBusSensorProxyProxyPrivate;

### PhoshDBusSensorProxySkeletonPrivate

    typedef struct _PhoshDBusSensorProxySkeletonPrivate PhoshDBusSensorProxySkeletonPrivate;

## Property Details

### The `“accelerometer-orientation”` property

      “accelerometer-orientation” char *

Represents the D-Bus property "AccelerometerOrientation".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: PhoshDBusSensorProxy

Flags: Read / Write

Default value: NULL

### The `“has-accelerometer”` property

      “has-accelerometer”        gboolean

Represents the D-Bus property "HasAccelerometer".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: PhoshDBusSensorProxy

Flags: Read / Write

Default value: FALSE

### The `“has-ambient-light”` property

      “has-ambient-light”        gboolean

Represents the D-Bus property "HasAmbientLight".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: PhoshDBusSensorProxy

Flags: Read / Write

Default value: FALSE

### The `“has-proximity”` property

      “has-proximity”            gboolean

Represents the D-Bus property "HasProximity".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: PhoshDBusSensorProxy

Flags: Read / Write

Default value: FALSE

### The `“light-level”` property

      “light-level”              double

Represents the D-Bus property "LightLevel".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: PhoshDBusSensorProxy

Flags: Read / Write

Default value: 0

### The `“light-level-unit”` property

      “light-level-unit”         char *

Represents the D-Bus property "LightLevelUnit".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: PhoshDBusSensorProxy

Flags: Read / Write

Default value: NULL

### The `“proximity-near”` property

      “proximity-near”           gboolean

Represents the D-Bus property "ProximityNear".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: PhoshDBusSensorProxy

Flags: Read / Write

Default value: FALSE

### The `“compass-heading”` property

      “compass-heading”          double

Represents the D-Bus property "CompassHeading".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: PhoshDBusSensorProxyCompass

Flags: Read / Write

Default value: 0

### The `“has-compass”` property

      “has-compass”              gboolean

Represents the D-Bus property "HasCompass".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: PhoshDBusSensorProxyCompass

Flags: Read / Write

Default value: FALSE

## Signal Details

### The `“handle-claim-accelerometer”` signal

    gboolean
    user_function (PhoshDBusSensorProxy  *object,
                   GDBusMethodInvocation *invocation,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `ClaimAccelerometer()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `phosh_dbus_sensor_proxy_complete_claim_accelerometer()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no other signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A PhoshDBusSensorProxy. |
invocation | A GDBusMethodInvocation. |
user_data | user data set when the signal handler was connected. |

#### Returns

`G_DBUS_METHOD_INVOCATION_HANDLED` or `TRUE` if the invocation was handled, `G_DBUS_METHOD_INVOCATION_UNHANDLED` or `FALSE` to let other signal handlers run.

Flags: Run Last

### The `“handle-claim-light”` signal

    gboolean
    user_function (PhoshDBusSensorProxy  *object,
                   GDBusMethodInvocation *invocation,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `ClaimLight()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `phosh_dbus_sensor_proxy_complete_claim_light()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no other signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A PhoshDBusSensorProxy. |
invocation | A GDBusMethodInvocation. |
user_data | user data set when the signal handler was connected. |

#### Returns

`G_DBUS_METHOD_INVOCATION_HANDLED` or `TRUE` if the invocation was handled, `G_DBUS_METHOD_INVOCATION_UNHANDLED` or `FALSE` to let other signal handlers run.

Flags: Run Last

### The `“handle-claim-proximity”` signal

    gboolean
    user_function (PhoshDBusSensorProxy  *object,
                   GDBusMethodInvocation *invocation,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `ClaimProximity()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `phosh_dbus_sensor_proxy_complete_claim_proximity()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no other signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A PhoshDBusSensorProxy. |
invocation | A GDBusMethodInvocation. |
user_data | user data set when the signal handler was connected. |

#### Returns

`G_DBUS_METHOD_INVOCATION_HANDLED` or `TRUE` if the invocation was handled, `G_DBUS_METHOD_INVOCATION_UNHANDLED` or `FALSE` to let other signal handlers run.

Flags: Run Last

### The `“handle-release-accelerometer”` signal

    gboolean
    user_function (PhoshDBusSensorProxy  *object,
                   GDBusMethodInvocation *invocation,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `ReleaseAccelerometer()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `phosh_dbus_sensor_proxy_complete_release_accelerometer()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no other signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A PhoshDBusSensorProxy. |
invocation | A GDBusMethodInvocation. |
user_data | user data set when the signal handler was connected. |

#### Returns

`G_DBUS_METHOD_INVOCATION_HANDLED` or `TRUE` if the invocation was handled, `G_DBUS_METHOD_INVOCATION_UNHANDLED` or `FALSE` to let other signal handlers run.

Flags: Run Last

### The `“handle-release-light”` signal

    gboolean
    user_function (PhoshDBusSensorProxy  *object,
                   GDBusMethodInvocation *invocation,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `ReleaseLight()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `phosh_dbus_sensor_proxy_complete_release_light()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no other signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A PhoshDBusSensorProxy. |
invocation | A GDBusMethodInvocation. |
user_data | user data set when the signal handler was connected. |

#### Returns

`G_DBUS_METHOD_INVOCATION_HANDLED` or `TRUE` if the invocation was handled, `G_DBUS_METHOD_INVOCATION_UNHANDLED` or `FALSE` to let other signal handlers run.

Flags: Run Last

### The `“handle-release-proximity”` signal

    gboolean
    user_function (PhoshDBusSensorProxy  *object,
                   GDBusMethodInvocation *invocation,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `ReleaseProximity()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `phosh_dbus_sensor_proxy_complete_release_proximity()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no other signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A PhoshDBusSensorProxy. |
invocation | A GDBusMethodInvocation. |
user_data | user data set when the signal handler was connected. |

#### Returns

`G_DBUS_METHOD_INVOCATION_HANDLED` or `TRUE` if the invocation was handled, `G_DBUS_METHOD_INVOCATION_UNHANDLED` or `FALSE` to let other signal handlers run.

Flags: Run Last

### The `“handle-claim-compass”` signal

    gboolean
    user_function (PhoshDBusSensorProxyCompass *object,
                   GDBusMethodInvocation       *invocation,
                   gpointer                     user_data)

Signal emitted when a remote caller is invoking the `ClaimCompass()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `phosh_dbus_sensor_proxy_compass_complete_claim_compass()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no other signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A PhoshDBusSensorProxyCompass. |
invocation | A GDBusMethodInvocation. |
user_data | user data set when the signal handler was connected. |

#### Returns

`G_DBUS_METHOD_INVOCATION_HANDLED` or `TRUE` if the invocation was handled, `G_DBUS_METHOD_INVOCATION_UNHANDLED` or `FALSE` to let other signal handlers run.

Flags: Run Last

### The `“handle-release-compass”` signal

    gboolean
    user_function (PhoshDBusSensorProxyCompass *object,
                   GDBusMethodInvocation       *invocation,
                   gpointer                     user_data)

Signal emitted when a remote caller is invoking the `ReleaseCompass()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `phosh_dbus_sensor_proxy_compass_complete_release_compass()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no other signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A PhoshDBusSensorProxyCompass. |
invocation | A GDBusMethodInvocation. |
user_data | user data set when the signal handler was connected. |

#### Returns

`G_DBUS_METHOD_INVOCATION_HANDLED` or `TRUE` if the invocation was handled, `G_DBUS_METHOD_INVOCATION_UNHANDLED` or `FALSE` to let other signal handlers run.

Flags: Run Last